"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useYearChange = useYearChange;
var _utils = require("../utils");
var React = _interopRequireWildcard(require("react"));
var _dateUtils = require("./dateUtils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function useYearChange(onChange, {
  selectedYear,
  currentIndexRef
}) {
  const onChangeRef = (0, _utils.useLatest)(onChange);
  React.useEffect(() => {
    if (selectedYear) {
      const currentIndex = currentIndexRef.current || 0;
      const currentDate = (0, _dateUtils.addMonths)(new Date(), (0, _dateUtils.getRealIndex)(currentIndex));
      currentDate.setFullYear(selectedYear);
      const today = new Date();
      const months = (0, _dateUtils.differenceInMonths)(today, currentDate);
      const newIndex = _dateUtils.startAtIndex + months;
      if (currentIndex !== newIndex) {
        onChangeRef.current(newIndex);
      }
    }
  }, [currentIndexRef, onChangeRef, selectedYear]);
}
//# sourceMappingURL=SwiperUtils.js.map