import * as React from 'react';
import { useSafeAreaInsets } from 'react-native-safe-area-context';
import { useHeaderBackgroundColor } from '../utils';
import Color from 'color';
import { Animated, StatusBar } from 'react-native';
function DatePickerModalStatusBar({
  disableSafeTop,
  disableStatusBar,
  statusBarOnTopOfBackdrop
}) {
  const insets = useSafeAreaInsets();
  const headerBackgroundColor = useHeaderBackgroundColor();
  const onDarkBackground = Color(headerBackgroundColor).isDark() || statusBarOnTopOfBackdrop;
  const statusBarTheme = onDarkBackground ? 'light-content' : 'dark-content';
  const statusBarBackground = statusBarOnTopOfBackdrop ? 'transparent' : headerBackgroundColor;
  return /*#__PURE__*/React.createElement(React.Fragment, null, !disableSafeTop && !statusBarOnTopOfBackdrop && /*#__PURE__*/React.createElement(Animated.View, {
    style: [{
      backgroundColor: statusBarBackground,
      height: insets.top || StatusBar.currentHeight
    }]
  }), !disableStatusBar && /*#__PURE__*/React.createElement(StatusBar, {
    barStyle: statusBarTheme,
    translucent: true,
    backgroundColor: "transparent"
  }));
}
export default /*#__PURE__*/React.memo(DatePickerModalStatusBar);
//# sourceMappingURL=DatePickerModalStatusBar.js.map